#
# spec file for package bindfs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bindfs
Version:        1.13.9
Release:        bp153.1.16
Summary:        Mount Directories to other Locations and alter Permission Bits
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://bindfs.org/
#Git-Clone:	git://github.com/mpartel/bindfs
Source:         http://bindfs.org/downloads/%name-%version.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(fuse) >= 2.6.0

%description
bindfs is a FUSE filesystem for mounting a directory to another
location, similarly to mount --bind. The permissions inside the
mountpoint can be altered using various rules.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%doc ChangeLog COPYING
%_bindir/%name
%_mandir/man1/%name.1%ext_man

%changelog
* Wed Feb  7 2018 jengelh@inai.de
- Update to new upstream release 1.13.9
  * Added options --delete-deny and --rename-deny
* Wed Nov  8 2017 aavindraa@gmail.com
- Update to new upstream release 1.13.8
  * Work around `pathconf(..., _PC_NAME_MAX)` erroneously returning
    0 for some source filesystems.
- Use %%make_install macro
* Thu Aug 31 2017 luc14n0@linuxmail.org
- Update to new upstream release 1.13.7
  * Added --block-devices-as-files.
* Tue Sep 27 2016 jengelh@inai.de
- Update to new upstream release 1.13.2
  * Fix bug in readdir() introduced with 1.13.1. This fixes a bug
  when a bindfs mount is exported over NFS.
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 1.13.1
  * Fixed an issue that some users had with reading large directories.
  * Source directory now shown in /etc/mtab.
  * Fixed some test suite compatibility issues with Fedora.
  * Rate limits are now expressed as 64-bit ints.
* Fri Nov 13 2015 jengelh@inai.de
- Update to new upstream release 1.13.0
  * Implemented --resolved-symlink-deletion and added tests.
  * Improved and documented --resolve_symlinks in some edge cases.
  * Better handle symlinks with destructive system calls.
  * Add functionality to transparently resolve symbolic links.
* Tue Sep 22 2015 jengelh@inai.de
- Update to new upstream release 1.12.7
  * OSX fixes only
* Thu Jul 24 2014 tuukka.pasanen@ilmi.fi
- Update to new upstream release 1.12.6
  * Implements throttling
* Sun Nov 24 2013 jengelh@inai.de
- Update to new upstream release 1.12.3
  * Implement fuse_utimens instead of fuse_utime
* Wed Aug  7 2013 jengelh@inai.de
- Update to new upstream release 1.12.2
  * Added --chmod-filter
* Fri Mar  1 2013 jengelh@inai.de
- Update to new upstream release 1.12
  * Replace "-o user" and "-o group" with "-o force-user" and
  "-o force-group", because the former are standard mount options
  that mount(8) consumes and does not pass on to the helper.
  (bnc#806956)
* Tue Oct 16 2012 jengelh@inai.de
- Update to new upstream release 1.11
  * Be single-threaded by default due to an inherent race condition;
  use -o multithreaded to get the old behavior back.
  * Respect setgid bit on directories when using --create-as-user
* Wed Jul  4 2012 jengelh@inai.de
- Update to new upstream version 1.10.6
  * a memory bug from 1.10.1, and --create-as-user and thread
  safety regressions were resolved
  * honor CFLAGS in ./configure call
  * fix a short-allocation that led to a crash in bindfs_readdir
  * implement a lookup cache to speed up repeated lookups
  (helpful for networked user databases, e.g. on LDAP)
* Sat May  5 2012 jengelh@medozas.de
- Update to new upstream version 1.10.2
  * No changelog was provided
- Remove redundant sections/tags from specfile
- Enable parallel build
* Sun Mar 14 2010 pascal.bleser@opensuse.org
- initial package (1.8.4)
